Esri, güvenlik protokolleri için en son endüstri standartlarını ve en iyi uygulamalarını kullanarak ArcGIS Platformu için güçlü bir güvenlik sağlamayı taahhüt etmiştir. Bu endüstri beklentilerini karşılamak için, tüm ArcGIS yazılımlarını ve özelleştirilmiş çözümleri etkileyebilecek olan ve Nisan 2019’da gerçekleşmesi planlanan ArcGIS Online’da önemli bir yapılandırma değişikliğini planlamaktadır. Bu değişiklikle, yalnızca TLS (Transport Layer Security) 1.2 sürümünün kullanımını zorunlu kılacak ve önceki TLS 1.0 ve 1.1 sürümleri için desteği kaldıracaktır.

Bu değişikliği planlamanıza yardımcı olmak için aşağıda sık sorulan soruların bir listesi bulunmaktadır. Paylaşılan geri bildirimlere istinaden TLS ile ilgili bu kaynakların sürekli olarak güncellenebileceğini unutmayın. Dolayısıyla güncel bilgiye erişmek için bu kaynakları belli aralıklarla kontrol edebilirsiniz.

Aşağıda ya da diğer Esri TLS belgelerinde ele almadığımız bir sorunuz varsa, lütfen GeoNet’teki TLS alanını ziyaret edin.

  1. TLS nedir?

Açılımı “Transport Layer Security” olan TLS, yaygın olarak kullanılan bir ağ güvenliği protokolüdür. TLS, Ağ üzerinde birbirleriyle iletişim kuran uygulamalar arasında veri güvenliğini ve bütünlüğünü sağlar. ArcGIS Desktop, ArcGIS Enterprise ve diğer istemci uygulamalar aracılığıyla ArcGIS Online altlık haritalarına, geoprocessing servislerine ve Living Atlas’a erişim sağladığınız sırada aslında TLS’i kullanıyorsunuz. Daha detaylı bilgi için aşağıda maddelenen ilgili kaynakları da inceleyebilirsiniz.

  1. Esri neden TLS’in en yeni sürümü olan TLS 1.3’ün kullanımını zorunlu kılmıyor?

TLS 1.3’ün spesifikasyonlarının nihai hali Ağustos 2018’de yayımlanmış olup uygulama alanları yeterince yaygınlaşmamış durumdadır. Örneğin, Microsoft henüz .NET için TLS 1.3 desteğini yayımlamamıştır. Üretim sistemleri için sektördeki en iyi uygulama, TLS 1.2’nin kullanılabilirliğini sağlamaktır.

  1. ArcGIS Platformunun tamamı etkileniyor mu?

ArcGIS Platformunun büyük çoğunluğu, güvenli web iletişimi için TLS kullanıyor. Yine de farklı uygulamaların, güvenli web servislerine sürekli bağlantı sağlamak için farklı talimatları mevcuttur. Dolayısıyla ilgili uygulamanın bu değişiklikten etkilenip etkilenmediğini öğrenmek için Etkilenen Esri Ürünleri Listesine göz atmanız gerekmektedir.

  1. Ürünüm TLS 1.2’deki değişiklikten etkilenecek mi?

Ürününüzün, TLS 1.2 implementasyonundan etkilenip etkilenmediğini anlamak için lütfen Etkilenen Esri Ürünleri Listesine bakınız.

  1. ArcGIS Desktop paketindeki her bir ürün (ArcGIS Pro, ArcMap, ArcCatalog vb.) aynı şekilde etkilenecek mi?

Güncel olarak desteklenen tüm ArcGIS Pro sürümleri işlem gerektirmemektedir. Güncel olarak desteklenen tüm ArcGIS Desktop 10.x sürümleri, sürüme özgü eylemler gerektirmektedir. Bu konuda daha fazla bilgi için Esri TLS Destek Sayfasına bakınız.

  1. Herhangi bir güncelleme yapmazsam ya da herhangi bir yama yüklemezsem, çalışmadığı bilinenler nelerdir?

ArcGIS Online’a bağlanmak isteyen herhangi bir uygulamadan ya da sadece TLS 1.2’yi zorunlu kılan bir web servisine başarılı bir şekilde bağlantı gerçekleştirilemez.

  1. ArcGIS API for Javascript kullanılarak oluşturulan web uygulamaları için gerekli olacak değişiklikler nelerdir?

JavaScript için ArcGIS API, Esri’nin TLS 1.2’yi implemente etmesinden etkilenmez. Bu konuda daha fazla bilgi için Esri TLS Destek Sayfasına bakınız.

  1. Günü geldiğinde gerçek geçiş yapılmadan önce işlevsellikleri doğrulayabildiğimiz ve yalnıza TLS 1.2’yi kullanan bir test sitesi var mıdır ya da olacak mı?

Evet, böyle bir web sitesi vardır. Esri, bu makalede çevrimiçi olarak ArcGIS ile TLS 1.2 bağlantılarını test etmenize yardımcı olacak bir dizi kaynak yayınladı. Esri, kullanıma sunulan diğer testler olduğunda bu sayfaya daha fazla ekleme yapacaktır.

  1. ArcGIS Enterprise, ArcGIS Server veya ArcGIS Portal için yama(lar) yayınlanacak mı?

Hayır. Yazılım sürümünüz ve işletim sisteminiz için gerekli adımlar hakkında ek bilgi için lütfen aşağıdaki Teknik Makaleye bakın.

SSS: ArcGIS Enterprise ve ilişkili yazılım bileşenleri, ArcGIS Server ve Portal for ArcGIS, TLS 1.0 ve 1.1’in devre dışı bırakılmasından nasıl etkilenir?

  1. ArcGIS Desktop’ın tüm sürümleri için TLS 1.2 yamaları ne zaman kullanıma hazır olacak?

Bu yazıyı hazırladığımız sırada; ArcGIS Desktop 10.2.1, 10.4, 10.4.1, 10.5.1 ve 10.6.1 sürümleri için yamalar burada bulunmaktadır: ArcGIS Desktop TLS Yaması. Diğer tüm sürümler için yamalar hazır olduğunda Esri gerekli yayınlamayı yapacak. TLS 1.2 hakkında diğer bilgiler ve yamalar hakkında güncellemeler için lütfen Esri TLS Destek Sayfasındaki abone ol butonuna tıklayınız.

  1. Nisan 2019’da gerçekleştirilmesi planlanan TLS 1.2 geçişi öncesinde ilave bilgiler sunulmaya devam edilecek mi?

ABD federal hükümetinin kısmen kapatılması nedeniyle Esri, TLS 1.2 implementasyonunu 16 Nisan 2019’a ertelemiştir. Lütfen daha fazla bilgi için bu duyuruyu okuyunuz. Planlanan tarihe yaklaştıkça Esri, tarih değişiklikleri, çözümler, yamalar, test ortamları ve daha fazlası dahil olmak TLS 1.2 belgelerini sürekli olarak güncelleyecektir. Yeni bilgiler olduğunda haberdar olmak için lütfen Esri TLS Destek Sayfasındaki abone ol butonuna tıklayınız.

İlgili kaynaklar:

 

Share This